com.genesyslab.wfm7.API.service.schedule761

## Class SchAuditLog

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchAuditLog

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAuditLog
      extends java.lang.Object
      implements java.io.Serializable

  Stores the Schedule Audit Log
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CfgUserShort[]` | `cfgUserInfo` Contains short user information for every unique user in the returned audit log.
    `private int` | `cfgUserInfoNSizeIs` Number of elements in the "cfgUserInfo" array
    `private SchAgentDayHolder` | `schedules` `SchAgentDayHolder` contains schedule and related information
    `private SchScenarioShort[]` | `schScenarioInfo` Contains `SchScenarioShort` info for every scenario referenced in the response.
    `private int` | `schScenarioInfoNSizeIs` Number of elements in the "schScenarioInfo" array
    `private SchAuditTransaction[]` | `transactions` A list of `SchAuditTransaction`
    `private int` | `transactionsNSizeIs` Number of elements in the "transactions" array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAuditLog()`
    `SchAuditLog(int transactionsNSizeIs, SchAuditTransaction[] transactions, SchAgentDayHolder schedules, int schScenarioInfoNSizeIs, SchScenarioShort[] schScenarioInfo, int cfgUserInfoNSizeIs, CfgUserShort[] cfgUserInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CfgUserShort[]` | `getCfgUserInfo()` Gets the cfgUserInfo value for this SchAuditLog.
    `int` | `getCfgUserInfoNSizeIs()` Gets the cfgUserInfoNSizeIs value for this SchAuditLog.
    `SchAgentDayHolder` | `getSchedules()` Gets the schedules value for this SchAuditLog.
    `SchScenarioShort[]` | `getSchScenarioInfo()` Gets the schScenarioInfo value for this SchAuditLog.
    `int` | `getSchScenarioInfoNSizeIs()` Gets the schScenarioInfoNSizeIs value for this SchAuditLog.
    `SchAuditTransaction[]` | `getTransactions()` Gets the transactions value for this SchAuditLog.
    `int` | `getTransactionsNSizeIs()` Gets the transactionsNSizeIs value for this SchAuditLog.
    `void` | `setCfgUserInfo(CfgUserShort[] cfgUserInfo)` Sets the cfgUserInfo value for this SchAuditLog.
    `void` | `setCfgUserInfoNSizeIs(int cfgUserInfoNSizeIs)` Sets the cfgUserInfoNSizeIs value for this SchAuditLog.
    `void` | `setSchedules(SchAgentDayHolder schedules)` Sets the schedules value for this SchAuditLog.
    `void` | `setSchScenarioInfo(SchScenarioShort[] schScenarioInfo)` Sets the schScenarioInfo value for this SchAuditLog.
    `void` | `setSchScenarioInfoNSizeIs(int schScenarioInfoNSizeIs)` Sets the schScenarioInfoNSizeIs value for this SchAuditLog.
    `void` | `setTransactions(SchAuditTransaction[] transactions)` Sets the transactions value for this SchAuditLog.
    `void` | `setTransactionsNSizeIs(int transactionsNSizeIs)` Sets the transactionsNSizeIs value for this SchAuditLog.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transactionsNSizeIs

          private int transactionsNSizeIs

      Number of elements in the "transactions" array

    - #### transactions

          private SchAuditTransaction[] transactions

      A list of `SchAuditTransaction`

    - #### schedules

          private SchAgentDayHolder schedules

      `SchAgentDayHolder` contains schedule and related information

    - #### schScenarioInfoNSizeIs

          private int schScenarioInfoNSizeIs

      Number of elements in the "schScenarioInfo" array

    - #### schScenarioInfo

          private SchScenarioShort[] schScenarioInfo

      Contains `SchScenarioShort` info for every scenario referenced in the response. It is null if the scenario info was not requested.

    - #### cfgUserInfoNSizeIs

          private int cfgUserInfoNSizeIs

      Number of elements in the "cfgUserInfo" array

    - #### cfgUserInfo

          private CfgUserShort[] cfgUserInfo

      Contains short user information for every unique user in the returned audit log. It is null if user info was not requested. `CfgUserShort`

  - ### Constructor Detail

    - #### SchAuditLog

          public SchAuditLog()

    - #### SchAuditLog

          public SchAuditLog(int transactionsNSizeIs,
                     SchAuditTransaction[] transactions,
                     SchAgentDayHolder schedules,
                     int schScenarioInfoNSizeIs,
                     SchScenarioShort[] schScenarioInfo,
                     int cfgUserInfoNSizeIs,
                     CfgUserShort[] cfgUserInfo)

  - ### Method Detail

    - #### getTransactionsNSizeIs

          public int getTransactionsNSizeIs()

      Gets the transactionsNSizeIs value for this SchAuditLog.
      Returns:
        transactionsNSizeIs

    - #### setTransactionsNSizeIs

          public void setTransactionsNSizeIs(int transactionsNSizeIs)

      Sets the transactionsNSizeIs value for this SchAuditLog.
      Parameters:
        `transactionsNSizeIs` -

    - #### getTransactions

          public SchAuditTransaction[] getTransactions()

      Gets the transactions value for this SchAuditLog.
      Returns:
        transactions

    - #### setTransactions

          public void setTransactions(SchAuditTransaction[] transactions)

      Sets the transactions value for this SchAuditLog.
      Parameters:
        `transactions` -

    - #### getSchedules

          public SchAgentDayHolder getSchedules()

      Gets the schedules value for this SchAuditLog.
      Returns:
        schedules

    - #### setSchedules

          public void setSchedules(SchAgentDayHolder schedules)

      Sets the schedules value for this SchAuditLog.
      Parameters:
        `schedules` -

    - #### getSchScenarioInfoNSizeIs

          public int getSchScenarioInfoNSizeIs()

      Gets the schScenarioInfoNSizeIs value for this SchAuditLog.
      Returns:
        schScenarioInfoNSizeIs

    - #### setSchScenarioInfoNSizeIs

          public void setSchScenarioInfoNSizeIs(int schScenarioInfoNSizeIs)

      Sets the schScenarioInfoNSizeIs value for this SchAuditLog.
      Parameters:
        `schScenarioInfoNSizeIs` -

    - #### getSchScenarioInfo

          public SchScenarioShort[] getSchScenarioInfo()

      Gets the schScenarioInfo value for this SchAuditLog.
      Returns:
        schScenarioInfo

    - #### setSchScenarioInfo

          public void setSchScenarioInfo(SchScenarioShort[] schScenarioInfo)

      Sets the schScenarioInfo value for this SchAuditLog.
      Parameters:
        `schScenarioInfo` -

    - #### getCfgUserInfoNSizeIs

          public int getCfgUserInfoNSizeIs()

      Gets the cfgUserInfoNSizeIs value for this SchAuditLog.
      Returns:
        cfgUserInfoNSizeIs

    - #### setCfgUserInfoNSizeIs

          public void setCfgUserInfoNSizeIs(int cfgUserInfoNSizeIs)

      Sets the cfgUserInfoNSizeIs value for this SchAuditLog.
      Parameters:
        `cfgUserInfoNSizeIs` -

    - #### getCfgUserInfo

          public CfgUserShort[] getCfgUserInfo()

      Gets the cfgUserInfo value for this SchAuditLog.
      Returns:
        cfgUserInfo

    - #### setCfgUserInfo

          public void setCfgUserInfo(CfgUserShort[] cfgUserInfo)

      Sets the cfgUserInfo value for this SchAuditLog.
      Parameters:
        `cfgUserInfo` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.